### Hierarchy

- MatchedCellsForRule

## Index

### Constructors

- constructor

### Properties

- cellsAndNeighbors

### Methods

- doesStillMatch
- evaluate
- firstCell
- lastCell
- populateMagicOrTiles

## Constructors

### constructor

- new MatchedCellsForRule(cellsAndNeighbors: IMatchedCellAndCorrespondingNeighbors[]): MatchedCellsForRule

- - Defined in models/rule.ts:663

  #### Parameters

  - ##### cellsAndNeighbors: IMatchedCellAndCorrespondingNeighbors[]

  #### Returns MatchedCellsForRule

## Properties

### cellsAndNeighbors

cellsAndNeighbors: IMatchedCellAndCorrespondingNeighbors[]

- Defined in models/rule.ts:662

## Methods

### doesStillMatch

- doesStillMatch(): boolean

- - Defined in models/rule.ts:690

  #### Returns boolean

### evaluate

- evaluate(magicOrTiles: Map<IGameTile, Set<GameSprite>>): IMutation[]

- - Defined in models/rule.ts:713

  #### Parameters

  - ##### magicOrTiles: Map<IGameTile, Set<GameSprite>>

  #### Returns IMutation[]

### firstCell

- firstCell(): Cell

- - Defined in models/rule.ts:672

  #### Returns Cell

### lastCell

- lastCell(): Cell

- - Defined in models/rule.ts:679

  #### Returns Cell

### populateMagicOrTiles

- populateMagicOrTiles(magicOrTiles: Map<IGameTile, Set<GameSprite>>): void

- - Defined in models/rule.ts:705

  #### Parameters

  - ##### magicOrTiles: Map<IGameTile, Set<GameSprite>>

  #### Returns void

Generated using TypeDoc